use core::arch::asm;

/// Get the current value of the CS register
pub(super) fn get_cs() -> u16 {
	let segment: u16;
	unsafe {
		asm!("mov {0:x}, cs", out(reg) segment, options(nomem, nostack, preserves_flags));
	}
	segment
}
